package com.ssj.service.sys.parentrole.service;

import com.ssj.bean.sys.parentrole.domain.SSJParentRole;
import com.ssj.framework.core.common.service.BaseService;

import java.util.List;

public interface SSJParentRoleService extends BaseService<SSJParentRole, String> {

	public SSJParentRole findByVipIdAndRoleUserId(String vipId,String roleUserId);
	
	public int countByVipIdAndRoleName(String vipId,String roleName);
	
	public void deleteByVipIdAndRoleUserId(String vipId,String roleUserId);
	
	/**
	 * @param vipId
	
	 * 方法说明:解绑该小孩下的所有副家长角色
	
	 * 创立日期:2019年5月27日 下午5:17:38
	 * 创建人:yangcan
	
	 */
	public void deleteByVipId(String vipId);

	/**
	 * 解绑副家长角色
	 */

	public void deleteByRoleUserId(String roleId );

	/**
	 * 查询是否时副家长
	 */
	List<SSJParentRole> findByRoleUserId(String userId);
}
